Kerbal Space Program - Bug #1992

Science Archives Filtering Bug
12/20/2013 08:08 PM - dflaws

Status: Duplicate Start date: 12/20/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When filtering science in the science archives, there is a minor bug. If you select the farside crater biome by clicking Kerbin, Mun,
Farside Crater (biome); science collected from the east farside biome also shows up.

History

#1 - 01/12/2014 02:10 AM - TruePikachu

Right now, I'm assuming that there is something like a grep in how the filters are applied. For example, if this were SQL, what might be happening is
SELECT * FROM experiments WHERE body='"Mun' AND biome REGEXP 'Farside Crater';

when what is intended is

SELECT * FROM experiments WHERE body='"Mun' AND biome="Farside Crater';

| can't test this theory with the tools and Science | have, but if my guess is correct, Minmus would also have the problem, with the Flats and the
Great/Greater/Lesser Flats.

#2 - 01/13/2014 02:59 AM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10
Confirmed, both for Mun's Farside Craters and Minmus's Flats.
#3 - 07/14/2015 05:37 PM - niftyfingers
confirming this still happens in 1.0.4.861
OwKBPIl.png
#4 - 07/27/2015 05:55 PM - Squelch

- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:30 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/12/2016 10:55 AM - TriggerAu
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

#8 - 06/19/2019 11:57 PM - just_jim
- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

Duplicate of bug 10389
